## ros-humble-velodyne 2.4.0

=== debian/changelog ===
ros-humble-velodyne (2.4.0-1jammy) jammy; urgency=high

  * Unify tf frame parameters between transform and cloud nodes (#344 <https://github.com/ros-drivers/velodyne/issues/344>) (#453 <https://github.com/ros-drivers/velodyne/issues/453>)
    * Unify tf frame parameters between transform and cloud nodes
    At this point there is no need any more for cloud node because transform node includes all features of cloud node.
    Co-authored-by: AndreasR30 <mailto:andreas-reich@live.de>
    Co-authored-by: anre <mailto:andreas.reich@unibw.de>
  * Contributors: Daisuke Nishimatsu

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Fri, 26 May 2023 16:00:00 -0000

ros-humble-velodyne (2.3.0-1jammy) jammy; urgency=high

  * Updating maintainer email address. (#450 <https://github.com/ros-drivers/velodyne/issues/450>)
    * Updating maintainer email address.
    * chore: update maintainer email address
    Co-authored-by: Joshua Whitley <mailto:jwhitley@autonomoustuff.com>
  * Replace deprecated argument names in launch (#430 <https://github.com/ros-drivers/velodyne/issues/430>)
  * 2.1.1
  * Updating for first Galactic release
  * Contributors: Daisuke Nishimatsu, Joshua Whitley, Keane Quigley

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 07 Jul 2022 16:00:00 -0000

ros-humble-velodyne (2.1.1-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 22 Aug 2021 16:00:00 -0000

ros-humble-velodyne (2.1.0-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 09 Jul 2020 16:00:00 -0000

ros-humble-velodyne (2.0.0-1jammy) jammy; urgency=high

  * Fixes pointed out by clang-tidy (#310 <https://github.com/ros-drivers/velodyne/issues/310>)
    * Rearrange header includes so clang-tidy is happy.
    * Get rid of unnecessary void arguments on methods.
    * Properly mark methods as override where appropriate.
    * Initialize members and stack variables to zero before use.
    * Mark function implementations in header files 'inline'.
    * Use more efficient 'empty' method instead of empty string.
    * Get rid of unnecessary else statements after a continue/return.
    * Get rid of unnecessary == false use.
    * Make sure to add a virtual destructor to DataContainerBase.
    * Use string != comparison instead of 'compare' method.
    * Rename PointcloudXYZIR parameter name to match implementation.
    * Get rid of usage of typedef.
    * Be more explicit about using floats.
    * Do an explicit lround to do int->float conversion.
    * Fix the intensity calculation.
    * Remove the azimuth from addPoint.
    * Make sure to reset the cloud data to 0 before reusing.
    * Use underscores on pointcloud member variables.
    * Using std::lround means we don't need to add 0.5 to the result.
    * Slightly rearrange and simplify range checks.
    * Add in example launch files for VLP32C.
  * Add in example launch files.
  * Merge pull request #251 <https://github.com/ros-drivers/velodyne/issues/251> from clalancette/dashing-devel3
    ROS 2 Dashing port
  * Contributors: Andreas Klintberg, Chris Lalancette, Joshua Whitley, Sebastian Pütz

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 09 Jul 2020 16:00:00 -0000

ros-humble-velodyne (1.5.2-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 27 Jan 2019 16:00:00 -0000

ros-humble-velodyne (1.5.1-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 09 Dec 2018 16:00:00 -0000

ros-humble-velodyne (1.5.0-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 18 Oct 2018 16:00:00 -0000

ros-humble-velodyne (1.4.0-1jammy) jammy; urgency=high

  * Merge pull request #160 <https://github.com/ros-drivers/velodyne/issues/160> from ros-drivers/maint/updating_package_xml_to_v2
  * Updated all package.xmls to ver 2. Cleaned up catkin_lint errors.
    All package.xml files are now compatible with version 2 of the
    package.xml specification in REP 140. Removed some unnecessary
    execute permissions on a few files. Fixed a missing test_depend.
  * Contributors: Andre Volk, Joshua Whitley

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Tue, 18 Sep 2018 16:00:00 -0000

ros-humble-velodyne (1.3.0-1jammy) jammy; urgency=high

  * Merge pull request #110 <https://github.com/ros-drivers/velodyne/issues/110> from kmhallen/master
    Added velodyne_laserscan package
  * Added velodyne_laserscan package and inserted into existing launch files
  * Contributors: Jack O'Quin, Joshua Whitley, Kevin Hallenbeck

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 09 Nov 2017 16:00:00 -0000

ros-humble-velodyne (1.2.0-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Tue, 05 Aug 2014 16:00:00 -0000

ros-humble-velodyne (1.1.2-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 04 Nov 2013 16:00:00 -0000

ros-humble-velodyne (1.1.1-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 29 Jul 2013 16:00:00 -0000

ros-humble-velodyne (1.1.0-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 15 Jul 2013 16:00:00 -0000

ros-humble-velodyne (1.0.1-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Fri, 14 Jun 2013 16:00:00 -0000

ros-humble-velodyne (1.0.0-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 13 Jun 2013 16:00:00 -0000

ros-humble-velodyne (0.9.2-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 07 Jul 2013 16:00:00 -0000

ros-humble-velodyne (0.9.1-1jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 04 Jun 2012 16:00:00 -0000

ros-humble-velodyne (0.9.0-1jammy) jammy; urgency=high




