=== debian/control ===
Source: ros-humble-velodyne
Section: misc
Priority: optional
Maintainer: Josh Whitley <whitleysoftwareservices@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/velodyne
Standards-Version: 3.9.2

Package: ros-humble-velodyne
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-velodyne-driver, ros-humble-velodyne-laserscan, ros-humble-velodyne-msgs, ros-humble-velodyne-pointcloud, ros-humble-ros-workspace
Description: Basic ROS support for the Velodyne 3D LIDARs.
